CommonConfigurationKeys (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Class CommonConfigurationKeys

    java.lang.Object
      org.apache.hadoop.fs.CommonConfigurationKeys

    public class CommonConfigurationKeys

extends Object

This class contains constants for configuration keys used in the common code.

Field Summary
`static boolean` | `DEFAULT_HADOOP_JETTY_LOGS_SERVE_ALIASES`
`static String` | `FS_DEFAULT_NAME_DEFAULT`
`static String` | `FS_DEFAULT_NAME_KEY` See src/core/core-default.xml
`static String` | `HADOOP_JETTY_LOGS_SERVE_ALIASES` Enable/Disable aliases serving from jetty
`static boolean` | `HADOOP_RELAXED_VERSION_CHECK_DEFAULT`
`static String` | `HADOOP_RELAXED_VERSION_CHECK_KEY` See src/core/core-default.xml
`static String` | `HADOOP_SECURITY_AUTHENTICATION` See src/core/core-default.xml
`static String` | `HADOOP_SECURITY_AUTHORIZATION` See src/core/core-default.xml
`static String` | `HADOOP_SECURITY_GROUP_MAPPING` See src/core/core-default.xml
`static String` | `HADOOP_SECURITY_INSTRUMENTATION_REQUIRES_ADMIN` See src/core/core-default.xml
`static String` | `HADOOP_SECURITY_SERVICE_USER_NAME_KEY` See src/core/core-default.xml
`static String` | `HADOOP_SECURITY_TOKEN_SERVICE_USE_IP` See src/core/core-default.xml
`static boolean` | `HADOOP_SECURITY_TOKEN_SERVICE_USE_IP_DEFAULT`
`static boolean` | `HADOOP_SECURITY_USE_WEAK_HTTP_CRYPTO_DEFAULT`
`static String` | `HADOOP_SECURITY_USE_WEAK_HTTP_CRYPTO_KEY`
`static boolean` | `HADOOP_SKIP_VERSION_CHECK_DEFAULT`
`static String` | `HADOOP_SKIP_VERSION_CHECK_KEY` See src/core/core-default.xml
`static int` | `IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_DEFAULT` Default value for IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_KEY
`static String` | `IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_KEY` Internal buffer size for Snappy compressor/decompressors
`static boolean` | `IO_NATIVE_LIB_AVAILABLE_DEFAULT` Default value for IO_NATIVE_LIB_AVAILABLE_KEY
`static String` | `IO_NATIVE_LIB_AVAILABLE_KEY`
`static boolean` | `IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_DEFAULT`
`static String` | `IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_KEY`
`static int` | `IPC_SERVER_RPC_READ_THREADS_DEFAULT`
`static String` | `IPC_SERVER_RPC_READ_THREADS_KEY`

Constructor Summary
`CommonConfigurationKeys()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FS_DEFAULT_NAME_KEY

    public static final String FS_DEFAULT_NAME_KEY

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### FS_DEFAULT_NAME_DEFAULT

    public static final String FS_DEFAULT_NAME_DEFAULT

See Also:
  Constant Field Values

### HADOOP_SECURITY_GROUP_MAPPING

    public static final String HADOOP_SECURITY_GROUP_MAPPING

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_AUTHENTICATION

    public static final String HADOOP_SECURITY_AUTHENTICATION

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_AUTHORIZATION

    public static final String HADOOP_SECURITY_AUTHORIZATION

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_INSTRUMENTATION_REQUIRES_ADMIN

    public static final String HADOOP_SECURITY_INSTRUMENTATION_REQUIRES_ADMIN

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_SERVICE_USER_NAME_KEY

    public static final String HADOOP_SECURITY_SERVICE_USER_NAME_KEY

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_TOKEN_SERVICE_USE_IP

    public static final String HADOOP_SECURITY_TOKEN_SERVICE_USE_IP

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_TOKEN_SERVICE_USE_IP_DEFAULT

    public static final boolean HADOOP_SECURITY_TOKEN_SERVICE_USE_IP_DEFAULT

See Also:
  Constant Field Values

### HADOOP_SECURITY_USE_WEAK_HTTP_CRYPTO_KEY

    public static final String HADOOP_SECURITY_USE_WEAK_HTTP_CRYPTO_KEY

See Also:
  Constant Field Values

### HADOOP_SECURITY_USE_WEAK_HTTP_CRYPTO_DEFAULT

    public static final boolean HADOOP_SECURITY_USE_WEAK_HTTP_CRYPTO_DEFAULT

See Also:
  Constant Field Values

### IPC_SERVER_RPC_READ_THREADS_KEY

    public static final String IPC_SERVER_RPC_READ_THREADS_KEY

See Also:
  Constant Field Values

### IPC_SERVER_RPC_READ_THREADS_DEFAULT

    public static final int IPC_SERVER_RPC_READ_THREADS_DEFAULT

See Also:
  Constant Field Values

### IO_NATIVE_LIB_AVAILABLE_KEY

    public static final String IO_NATIVE_LIB_AVAILABLE_KEY

See Also:
  Constant Field Values

### IO_NATIVE_LIB_AVAILABLE_DEFAULT

    public static final boolean IO_NATIVE_LIB_AVAILABLE_DEFAULT

  Default value for IO_NATIVE_LIB_AVAILABLE_KEY

  See Also:
    Constant Field Values

### IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_KEY

    public static final String IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_KEY

  Internal buffer size for Snappy compressor/decompressors

  See Also:
    Constant Field Values

### IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_DEFAULT

    public static final int IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_DEFAULT

  Default value for IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_KEY

  See Also:
    Constant Field Values

### HADOOP_RELAXED_VERSION_CHECK_KEY

    public static final String HADOOP_RELAXED_VERSION_CHECK_KEY

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_RELAXED_VERSION_CHECK_DEFAULT

    public static final boolean HADOOP_RELAXED_VERSION_CHECK_DEFAULT

See Also:
  Constant Field Values

### HADOOP_SKIP_VERSION_CHECK_KEY

    public static final String HADOOP_SKIP_VERSION_CHECK_KEY

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SKIP_VERSION_CHECK_DEFAULT

    public static final boolean HADOOP_SKIP_VERSION_CHECK_DEFAULT

See Also:
  Constant Field Values

### HADOOP_JETTY_LOGS_SERVE_ALIASES

    public static final String HADOOP_JETTY_LOGS_SERVE_ALIASES

  Enable/Disable aliases serving from jetty

  See Also:
    Constant Field Values

### DEFAULT_HADOOP_JETTY_LOGS_SERVE_ALIASES

    public static final boolean DEFAULT_HADOOP_JETTY_LOGS_SERVE_ALIASES

See Also:
  Constant Field Values

### IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_KEY

    public static final String IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_KEY

See Also:
  Constant Field Values

### IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_DEFAULT

    public static final boolean IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### CommonConfigurationKeys

    public CommonConfigurationKeys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation